// -*- C++ -*-
/*!
 * @file  HelloRTWorldTask.cpp
 * @brief Task component
 * @date  $Date: 2005-05-12 09:06:20 $
 *
 * $Id: HelloRTWorldTask.cpp 775 2008-07-28 16:14:45Z n-ando $
 */

#include <itron.h>
#include <kernel.h>
#include "HelloWorld.h"
#include "HelloRTWorld.h"

RTC::PeriodicExecutionContext *HRWExCnt;

/*!
 * @if jp
 * @brief ExecutionContext^XN
 * @else
 * @endif
 */
void rtm_hrw_excnt_task(intptr_t exinf)
{
  coil::Task::svc_run((void*)HRWExCnt);
}
