// -*- C++ -*-
/*!
 * @file  SdoConfigurationInfo.h
 * @brief SdoConfiguration Data
 * @date  $Date: 2005-05-12 09:06:20 $
 *
 * $Id: SdoConfigurationInfo.h 775 2008-07-28 16:14:45Z n-ando $
 */

#ifndef __SDOCONFIGURATIONINFO_h__
#define __SDOCONFIGURATIONINFO_h__

struct S_SDO_CONFIGURATION_SEM
{
  ID dprofile_sem_id;         // DeviceProfilepZ}tHID
  ID sprofile_sem_id;         // ServiceProfileListpZ}tHID
  ID params_sem_id;           // ParameterListpZ}tHID
  ID config_sem_id;           // ConfigurationSetListpZ}tHID
  ID org_sem_id;              // OrganizationListpZ}tHID
};

extern S_SDO_CONFIGURATION_SEM* getSDOConfigurationSem( void );

#endif // __SDOCONFIGURATIONINFO_h__
