// -*- C++ -*-
/*!
 * @file  PublisherPeriodicInfo.h
 * @brief PublisherPeriodic Data
 * @date  $Date: 2005-05-12 09:06:20 $
 *
 * $Id: PublisherPeriodicInfo.h 775 2008-07-28 16:14:45Z n-ando $
 */

#include <rtm/PublisherPeriodic.h>
#include <rtm/PublisherFactory.h>

#ifndef __PUBLISHERPERIODICINFO_h__
#define __PUBLISHERPERIODICINFO_h__

struct S_PUBLISHER_PERIODIC
{
  int   active;                      // f[^̏
  ID    tsk_id;                      // ^XNID
  RTC::PublisherPeriodic *pub_Data;  // NX|C^
};

extern S_PUBLISHER_PERIODIC g_publisher_periodic[];

#endif // __PUBLISHERPERIODICINFO_h__
