/*
 * 
 * RtORB[eBeBwb_
 * ORBUtil.h
 */

#ifndef __ORBUTIL_H__
#define __ORBUTIL_H__

#ifdef __cplusplus
extern "C" {
#endif	// __cplusplus

#include <itron.h>
#include <kernel.h>
#include <t_syslog.h>

#include "syssvc/serial.h"
#include "syssvc/syslog.h"

#include <RtORB/ORBDefine.h>

// bZ[Wo̓}N
#define	ORB_MESSAGE_OUT1( msg )				syslog( ORB_NORMAL_MESSAGE, msg )
#define	ORB_MESSAGE_OUT2( msg, param1 )			syslog( ORB_NORMAL_MESSAGE, msg, param1 )
#define	ORB_MESSAGE_OUT3( msg, param1, param2 )		syslog( ORB_NORMAL_MESSAGE, msg, param1, param2 )
#define	ORB_MESSAGE_OUT4( msg, param1, param2, param3)	syslog( ORB_NORMAL_MESSAGE, msg, param1, param2, param3 )

// G[o̓}N
#define	ORB_ERROR_OUT1( msg )				syslog( ORB_ERROR_MESSAGE, msg )
#define	ORB_ERROR_OUT2( msg, param1 )			syslog( ORB_ERROR_MESSAGE, msg, param1 )
#define	ORB_ERROR_OUT3( msg, param1, param2 )		syslog( ORB_ERROR_MESSAGE, msg, param1, param2 )
#define	ORB_ERROR_OUT4( msg, param1, param2, param3)	syslog( ORB_ERROR_MESSAGE, msg, param1, param2, param3 )

// r}N
#define	ORB_SEM_LOCK( sem )	wai_sem( sem )
#define	ORB_SEM_UNLOCK( sem )	sig_sem( sem )

// r}N
#define	ORB_CRITICAL_SECTION_START	loc_cpu();
#define	ORB_CRITICAL_SECTION_END	unl_cpu();

#ifdef __cplusplus
}
#endif	// __cplusplus

#endif	// __ORBUTIL_H__
