// -*- C++ -*-
/*!
 * @file  SWInCallback.cpp
 * @brief Callback
 * @date  $Date: 2005-05-12 09:06:20 $
 *
 * $Id: SWInCallback.cpp 775 2008-07-28 16:14:45Z n-ando $
 */

#include "SWIn.h"
#include "SWInCallback.h"

bool g_sw1 = false;
bool g_sw2 = false;

/*!
 * @if jp
 * @brief XCb`PIR[obN
 * @else
 * @endif
 */
void sw1_on()
{
  RTM_CRITICAL_SECTION_START
  g_sw1 = true;
  RTM_CRITICAL_SECTION_END
}

/*!
 * @if jp
 * @brief XCb`PItR[obN
 * @else
 * @endif
 */
void sw1_off()
{
  RTM_CRITICAL_SECTION_START
  g_sw1 = false;
  RTM_CRITICAL_SECTION_END
}

/*!
 * @if jp
 * @brief XCb`QIR[obN
 * @else
 * @endif
 */
void sw2_on()
{
  RTM_CRITICAL_SECTION_START
  g_sw2 = true;
  RTM_CRITICAL_SECTION_END
}

/*!
 * @if jp
 * @brief XCb`QItR[obN
 * @else
 * @endif
 */
void sw2_off()
{
  RTM_CRITICAL_SECTION_START
  g_sw2 = false;
  RTM_CRITICAL_SECTION_END
}
