// -*- C++ -*-
/*!
 * @file  PublisherNewTask.cpp
 * @brief Publisher New Task
 * @date  $Date: 2005-05-12 09:06:20 $
 *
 * $Id: PublisherNewTask.cpp 775 2008-07-28 16:14:45Z n-ando $
 */

#include <itron.h>
#include <kernel_cfg.h>
#include <StringInTask.h>
#include <PublisherNewInfo.h>

S_PUBLISHER_NEW g_publisher_new[] = {
  { 0, RTM_SIN_PUB_TASK1, RTM_SIN_PUB_SEM1, RTM_SIN_PUB_SEM2, NULL },
  { 0, RTM_SIN_PUB_TASK2, RTM_SIN_PUB_SEM3, RTM_SIN_PUB_SEM4, NULL },

  /* PublisherNewNXgpꍇ͏LɃ\[XLq邱 */
  { 0, 0, 0, 0, NULL }
};

/*!
 * @if jp
 * @brief pubV[^XNP
 * @else
 * @endif
 */
void rtm_sin_pub_task1(intptr_t exinf)
{
  coil::Task::svc_run((void*)g_publisher_new[0].pub_Data );
}

/*!
 * @if jp
 * @brief pubV[^XNQ
 * @else
 * @endif
 */
void rtm_sin_pub_task2(intptr_t exinf)
{
  coil::Task::svc_run((void*)g_publisher_new[1].pub_Data);
}
