// -*- C++ -*-
/*!
 * @file String.h
 * @brief String utils
 * @date $Date$
 * @author Noriaki Ando <n-ando@aist.go.jp>
 *
 * Copyright (C) 2008
 *     Task-intelligence Research Group,
 *     Intelligent Systems Research Institute,
 *     National Institute of
 *         Advanced Industrial Science and Technology (AIST), Japan
 *     All rights reserved.
 *
 * $Id$
 *
 */

namespace coil
{
  /*
   * sprintfصǽ
   * Ѱξư԰ˤʤ뤳Ȥ뤿
   * δؿѤ롣
   */
  int t_vsnprintf(char *buffer, unsigned long count,
    const char *format, int a1);

  int t_vsnprintf(char *buffer, unsigned long count,
    const char *format, int a1, int a2);

  int t_vsnprintf(char *buffer, unsigned long count,
    const char *format, int a1, int a2, int a3);

  int t_vsnprintf(char *buffer, unsigned long count,
    const char *format, int a1, int a2, int a3, int a4);

  int t_vsnprintf(char *buffer, unsigned long count,
    const char *format, int a1, int a2, int a3, int a4, int a5);

  int t_vsnprintf(char *buffer, unsigned long count,
    const char *format, int a1, int a2, int a3, int a4, int a5, int a6);
}
