/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2006-2008 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2006-2008 by Task-intelligence Research Group,
 *             Intelligent Systems Research Institute,
 *             National Institute of
 *               Advanced Industrial Science and Technology (AIST), Japan
 * 
 *  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEE
 *  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 *      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
 *      RɊÂCL쌠҂TOPPERSvWFNg
 *      Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
 *  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
 *  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
 *  ̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: $
 */

#ifndef STRING_LIB_H
#define STRING_LIB_H

#ifdef	__cplusplus
extern "C" {
#endif
extern int _atoi(const char* ptr);
extern char* itoa(long val, char *buf, int radix);
extern char* uitoa(unsigned long val, char* buf, int radix);
extern int t_strlen(char *s);
extern int t_vsnprintf_1(char *buffer, unsigned long count,
  const char *format, int a1);
extern int t_vsnprintf_2(char *buffer, unsigned long count,
  const char *format, int a1, int a2);
extern int t_vsnprintf_3(char *buffer, unsigned long count,
  const char *format, int a1, int a2, int a3);
extern int t_vsnprintf_4(char *buffer, unsigned long count,
  const char *format, int a1, int a2, int a3, int a4);
extern int t_vsnprintf_5(char *buffer, unsigned long count,
  const char *format, int a1, int a2, int a3, int a4, int a5);
extern int t_vsnprintf_6(char *buffer, unsigned long count,
  const char *format, int a1, int a2, int a3, int a4, int a5, int a6);

extern void t_printf_0(const char *format);
extern void t_printf_1(const char *format, int a1);
extern void t_printf_2(const char *format, int a1, int a2);
extern void t_printf_3(const char *format,
			int a1, int a2, int a3);
extern void t_printf_4(const char *format,
			int a1, int a2, int a3, int a4);
extern void t_printf_5(const char *format,
			int a1, int a2, int a3, int a4, int a5);
extern void t_printf_6(const char *format,
			int a1, int a2, int a3, int a4, int a5, int a6);
#ifdef	__cplusplus
}
#endif

#endif /* STRING_LIB_H */
